%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-component-emitter
Version:    1.1.2
Release:    1%{?dist}
Summary:    An event emitter component for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/component/emitter
Source0:    http://registry.npmjs.org/component-emitter/-/component-emitter-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh
# Include a copy of the license text to comply with license requirements.
Source20:   https://raw.github.com/component/emitter/2999c522a07ba3a95106530e1c1e194d2c7a266c/LICENSE

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(should)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
cp -p %{SOURCE20} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/component-emitter
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/component-emitter

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --require should --reporter spec
%endif


%files
%doc History.md LICENSE Readme.md
%{nodejs_sitelib}/component-emitter


%changelog
* Sat Mar 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.1.2-1
- initial package
